yi-keymap-vim-0.19.0: Vim keymap for Yi editor

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Yi.Keymap.Vim.Ex.Types

Description

# Documentation

data ExCommand Source #

Constructors

ExCommand |

Fields

- cmdComplete :: YiM [Text]
- cmdIsPure :: Bool
- cmdAction :: Action
- cmdAcceptsRange :: Bool
- cmdShow :: Text

#### Instances

Instances details

Show ExCommand Source # |
Instance details Defined in Yi.Keymap.Vim.Ex.Types Methods showsPrec :: Int -> ExCommand -> ShowS Source # show :: ExCommand -> String Source # showList :: [ExCommand] -> ShowS Source #

data LineRange Source #

Constructors

MarkRange String String | 'a,'b
FullRange | %
CurrentLineRange |

evStringToExCommand :: [EventString -> Maybe ExCommand] -> EventString -> Maybe ExCommand Source #